### GET /iam/teams Source: https://connhex.com/api/iam/latest/teams/api.json Lists all local teams. Required Permission: - Resource: ```iam:teams``` - Action: ```iam:teams:list``` ```markdown ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.ListTeamsResp** - **teams** (array (compiuta.api.iam.v2.Team)) Array items: - **id** (string) - **name** (string) - **tenants** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/iam/teams" ``` ``` -------------------------------- ### GET /iam/teams/{id} Source: https://connhex.com/api/iam/latest/teams/api.json Returns the details for a team. Required Permission: - Resource: ```iam:teams:{id}``` - Action: ```iam:teams:get``` ```markdown ### Parameters - **id** (string, path, required) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.GetTeamResp** - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/iam/teams/{id}" ``` ``` -------------------------------- ### GET /iam/users/{membershipId}/teams Source: https://connhex.com/api/iam/latest/teams/api.json Lists all local teams for a specific user. You must use their membership_id in the request URL. Required Permission: - Resource: ```iam:users:{membershipId}``` - Action: ```iam:userTeams:get``` ```markdown ### Parameters - **membershipId** (string, path, required) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.GetTeamsForMemberResp** - **teams** (array (compiuta.api.iam.v2.Team)) Array items: - **id** (string) - **name** (string) - **tenants** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/iam/users/{membershipId}/teams" ``` ``` -------------------------------- ### GET /iam/teams/{id}/users Source: https://connhex.com/api/iam/latest/teams/api.json Lists all users of a local team. Users are listed by their membership_id. Required Permission: - Resource: ```iam:teams:{id}``` - Action: ```iam:teamUsers:list``` ```markdown ### Parameters - **id** (string, path, required) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.GetTeamMembershipResp** - **membershipIds** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/iam/teams/{id}/users" ``` ``` -------------------------------- ### Schema: google.protobuf.Any Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for google.protobuf.Any ```markdown ## Schema: google.protobuf.Any Schema definition for google.protobuf.Any **Type:** object - **@type** (string) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.CreateTeamResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.CreateTeamResp ```markdown ## Schema: compiuta.api.iam.v2.CreateTeamResp Schema definition for compiuta.api.iam.v2.CreateTeamResp **Type:** object - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### POST /iam/teams Source: https://connhex.com/api/iam/latest/teams/api.json Creates a local team that is used to group local users as members of IAM policies. Required Permission: - Resource: ```iam:teams``` - Action: ```iam:teams:create``` ```markdown ### Request Body **Content-Type:** application/json - **id** (string) (required) - **name** (string) (required) - **tenants** (array (string)) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.CreateTeamResp** - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X POST "https://apis.connhex.com/iam/teams" \ -H "Content-Type: application/json" \ -d '{ "id": "my-team-id", "name": "My Test Team", "tenants": [ "tenant1", "tenant2" ] }' ``` ``` -------------------------------- ### Schema: compiuta.api.iam.v2.CreateTeamReq Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.CreateTeamReq ```markdown ## Schema: compiuta.api.iam.v2.CreateTeamReq Schema definition for compiuta.api.iam.v2.CreateTeamReq **Type:** object - **id** (string) (required) - **name** (string) (required) - **tenants** (array (string)) ``` -------------------------------- ### API Overview: teams Source: https://connhex.com/api/iam/latest/teams/api.json OpenAPI specification version 2.0.0 ```yaml # teams # Version: 2.0.0 OpenAPI specification # Base URL: https://apis.connhex.com ``` -------------------------------- ### Schema: google.rpc.Status Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for google.rpc.Status ```markdown ## Schema: google.rpc.Status Schema definition for google.rpc.Status **Type:** object - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ``` -------------------------------- ### Security: chx_auth_session Source: https://connhex.com/api/iam/latest/teams/api.json Security scheme: chx_auth_session ```markdown ## Security: chx_auth_session **Description:** Security scheme: chx_auth_session **Type:** apiKey ``` -------------------------------- ### Schema: compiuta.api.iam.v2.AddTeamMembersResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.AddTeamMembersResp ```markdown ## Schema: compiuta.api.iam.v2.AddTeamMembersResp Schema definition for compiuta.api.iam.v2.AddTeamMembersResp **Type:** object - **membershipIds** (array (string)) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.ListTeamsResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.ListTeamsResp ```markdown ## Schema: compiuta.api.iam.v2.ListTeamsResp Schema definition for compiuta.api.iam.v2.ListTeamsResp **Type:** object - **teams** (array (compiuta.api.iam.v2.Team)) Array items: - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.GetTeamResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.GetTeamResp ```markdown ## Schema: compiuta.api.iam.v2.GetTeamResp Schema definition for compiuta.api.iam.v2.GetTeamResp **Type:** object - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.Team Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.Team ```markdown ## Schema: compiuta.api.iam.v2.Team Schema definition for compiuta.api.iam.v2.Team **Type:** object - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.GetTeamsForMemberResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.GetTeamsForMemberResp ```markdown ## Schema: compiuta.api.iam.v2.GetTeamsForMemberResp Schema definition for compiuta.api.iam.v2.GetTeamsForMemberResp **Type:** object - **teams** (array (compiuta.api.iam.v2.Team)) Array items: - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.GetTeamMembershipResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.GetTeamMembershipResp ```markdown ## Schema: compiuta.api.iam.v2.GetTeamMembershipResp Schema definition for compiuta.api.iam.v2.GetTeamMembershipResp **Type:** object - **membershipIds** (array (string)) ``` -------------------------------- ### POST /iam/teams/{id}/users:add Source: https://connhex.com/api/iam/latest/teams/api.json Adds a list of users to a local team. Users are added by their membership_id. The request currently does not validate that membership_id maps to a real user. The membership_id for users equals their identity id. Required Permission: - Resource: ```iam:teams:{id}``` - Action: ```iam:teamUsers:create``` ```markdown ### Parameters - **id** (string, path, required) ### Request Body **Content-Type:** application/json - **membershipIds** (array (string)) (required) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.AddTeamMembersResp** - **membershipIds** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X POST "https://apis.connhex.com/iam/teams/{id}/users:add" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### PUT /iam/teams/{id} Source: https://connhex.com/api/iam/latest/teams/api.json Updates a local team. Required Permission: - Resource: ```iam:teams:{id}``` - Action: ```iam:teams:update``` ```markdown ### Parameters - **id** (string, path, required) ### Request Body **Content-Type:** application/json - **name** (string) (required) - **tenants** (array (string)) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.UpdateTeamResp** - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X PUT "https://apis.connhex.com/iam/teams/{id}" \ -H "Content-Type: application/json" \ -d '{ "id": "my-team-id", "name": "My Test Team", "tenants": [ "tenant1", "tenant2" ] }' ``` ``` -------------------------------- ### Schema: compiuta.api.iam.v2.UpdateTeamResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.UpdateTeamResp ```markdown ## Schema: compiuta.api.iam.v2.UpdateTeamResp Schema definition for compiuta.api.iam.v2.UpdateTeamResp **Type:** object - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### Security: bearer Source: https://connhex.com/api/iam/latest/teams/api.json Security scheme: bearer ```markdown ## Security: bearer **Description:** Security scheme: bearer **Type:** http **Scheme:** bearer ``` -------------------------------- ### Schema: compiuta.api.iam.v2.DeleteTeamResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.DeleteTeamResp ```markdown ## Schema: compiuta.api.iam.v2.DeleteTeamResp Schema definition for compiuta.api.iam.v2.DeleteTeamResp **Type:** object - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) ``` -------------------------------- ### DELETE /iam/teams/{id} Source: https://connhex.com/api/iam/latest/teams/api.json Deletes a local team and removes it from any policies. Required Permission: - Resource: ```iam:teams:{id}``` - Action: ```iam:teams:delete``` ```markdown ### Parameters - **id** (string, path, required) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.DeleteTeamResp** - **team** (object) - **id** (string) - **name** (string) - **tenants** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X DELETE "https://apis.connhex.com/iam/teams/{id}" ``` ``` -------------------------------- ### Schema: compiuta.api.iam.v2.RemoveTeamMembersResp Source: https://connhex.com/api/iam/latest/teams/api.json Schema definition for compiuta.api.iam.v2.RemoveTeamMembersResp ```markdown ## Schema: compiuta.api.iam.v2.RemoveTeamMembersResp Schema definition for compiuta.api.iam.v2.RemoveTeamMembersResp **Type:** object - **membershipIds** (array (string)) ``` -------------------------------- ### POST /iam/teams/{id}/users:remove Source: https://connhex.com/api/iam/latest/teams/api.json Removes a list of users from a local team. Users are removed by their membership_id. The request currently does not validate that membership_id maps to a real user. The membership_id for users equals their identity id. Required Permission: - Resource: ```iam:teams:{id}``` - Action: ```iam:teamUsers:delete``` ```markdown ### Parameters - **id** (string, path, required) ### Request Body **Content-Type:** application/json - **membershipIds** (array (string)) (required) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.RemoveTeamMembersResp** - **membershipIds** (array (string)) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X POST "https://apis.connhex.com/iam/teams/{id}/users:remove" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.